Package it.ernytech.tdlib

## Class TdApi.InputSticker

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.InputSticker

Enclosing class:
  TdApi

    public static class TdApi.InputSticker
    extends TdApi.Object

Describes a sticker that should be added to a sticker set.

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`java.lang.String` `emojis` Emoji corresponding to the sticker.
`TdApi.MaskPosition` `maskPosition` For masks, position where the mask should be placed; may be null.
`TdApi.InputFile` `pngSticker` PNG image with the sticker; must be up to 512 kB in size and fit in a 512x512 square.

### Constructor Summary

Constructors
`InputSticker()` Default constructor.
`InputSticker​(TdApi.InputFile pngSticker, java.lang.String emojis, TdApi.MaskPosition maskPosition)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### pngSticker

    public TdApi.InputFile pngSticker

PNG image with the sticker; must be up to 512 kB in size and fit in a 512x512 square.

#### emojis

    public java.lang.String emojis

Emoji corresponding to the sticker.

#### maskPosition

    public TdApi.MaskPosition maskPosition

For masks, position where the mask should be placed; may be null.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### InputSticker

    public InputSticker()

Default constructor.

#### InputSticker

    public InputSticker​(TdApi.InputFile pngSticker,
                        java.lang.String emojis,
                        TdApi.MaskPosition maskPosition)

Constructor for initialization of all fields.

Parameters:
  `pngSticker` - PNG image with the sticker; must be up to 512 kB in size and fit in a 512x512 square.
  `emojis` - Emoji corresponding to the sticker.
  `maskPosition` - For masks, position where the mask should be placed; may be null.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR